utils.h File Reference
Include dependency graph for utils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

const char * | pw_split_walk (const char *str, const char *delimiter, size_t *len, const char **state)
char ** | pw_split_strv (const char *str, const char *delimiter, int max_tokens, int *n_tokens)
void | pw_free_strv (char **str)
char * | pw_strip (char *str, const char *whitespace)

## Function Documentation

## pw_free_strv()

void pw_free_strv | ( | char ** | str | ) |

Referenced by pw_command::pw_command_free().

## pw_split_strv()

char** pw_split_strv | ( | const char * | str,
|  | const char * | delimiter,
|  | int | max_tokens,
|  | int * | n_tokens
| ) |  |

Referenced by pw_module::pw_module_load().

## pw_split_walk()

const char* pw_split_walk | ( | const char * | str,
|  | const char * | delimiter,
|  | size_t * | len,
|  | const char ** | state
| ) |  |

## pw_strip()

char* pw_strip | ( | char * | str,
|  | const char * | whitespace
| ) |  |